%define upstream_name    Sub-Name
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary: 	Allows to (re)name a sub
License: 	GPL+ or Artistic
Group: 		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sub/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:	perl(Devel::CheckBin)

# Don't "provide" private perl objects
%{?perl_default_filter}

%description 
This module allows to (re)name a sub.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%{makeinstall_std}

%check
%{__make} test

%files
%doc Changes README
%{perl_vendorarch}/Sub
%{perl_vendorarch}/auto/Sub
%{_mandir}/*/*




%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 742907
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.120.0-3.mga5
+ Revision: 733447
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-2.mga5
+ Revision: 686271
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 sander85 <sander85> 0.120.0-1.mga5
+ Revision: 672064
- update to 0.12

* Sun Aug 10 2014 sander85 <sander85> 0.90.0-1.mga5
+ Revision: 661456
- update to 0.09

* Thu Aug 07 2014 sander85 <sander85> 0.80.0-1.mga5
+ Revision: 660387
- update to 0.08

* Tue Jul 15 2014 sander85 <sander85> 0.70.0-1.mga5
+ Revision: 652907
- update to 0.07

* Tue Jun 03 2014 pterjan <pterjan> 0.50.0-8.mga5
+ Revision: 631700
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.50.0-7.mga4
+ Revision: 524482
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.50.0-6.mga4
+ Revision: 430962
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 0.50.0-5.mga4
+ Revision: 430109
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-4.mga3
+ Revision: 372892
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.50.0-3.mga3
+ Revision: 251152
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.50.0-2.mga2
+ Revision: 103647
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 22841
- cleaning spec file
- imported package perl-Sub-Name


* Fri Nov 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.50.0-1mdv2011.0
+ Revision: 596677
- update to 0.05

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-2mdv2011.0
+ Revision: 556151
- rebuild for perl 5.12

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-1mdv2010.0
+ Revision: 404421
- rebuild using %%perl_convert_version

* Sat Jul 19 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2009.0
+ Revision: 238726
- update to new version 0.04

* Thu Feb 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-1mdv2008.1
+ Revision: 173562
- update to new version 0.03

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.02-2mdv2008.1
+ Revision: 152317
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-1mdv2008.0
+ Revision: 74276
- import perl-Sub-Name


* Wed Aug 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-1mdv2008.0
- first mdv release
